Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 605395 - Wireless NIC Broadcom BCM43224 isn't recognized
Wireless NIC Broadcom BCM43224 isn't recognized
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
13
All Linux
low Severity medium
: ---
: ---
Assigned To: John W. Linville
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-17 16:24 EDT by joshua
Modified: 2010-08-20 08:42 EDT (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-18 09:40:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
lspci -vvv output on the macbook pro (15.08 KB, text/plain)
2010-06-17 16:24 EDT, joshua
no flags Details
sosreport (694.77 KB, application/octet-stream)
2010-06-17 16:26 EDT, joshua
no flags Details
dmidecode output (22.84 KB, text/plain)
2010-06-17 16:29 EDT, joshua
no flags Details

  None (edit)
Description joshua 2010-06-17 16:24:20 EDT
Created attachment 424931 [details]
lspci -vvv output on the macbook pro

Description of problem:

Brand New Macbook Pro, wireless NIC doesn't work


Version-Release number of selected component (if applicable):

F13 x86_64, kernel package kernel-2.6.33.5-124.fc13.x86_64


Attached is lspci -vvv output
Comment 1 joshua 2010-06-17 16:26:08 EDT
Created attachment 424933 [details]
sosreport
Comment 2 joshua 2010-06-17 16:29:20 EDT
Created attachment 424935 [details]
dmidecode output
Comment 3 Stanislaw Gruszka 2010-06-17 17:13:05 EDT
Broadcom Corporation BCM43224. Linux b43 does not support it. Not sure when such support will be added to driver.

As workaround you may try http://www.broadcom.com/support/802.11/linux_sta.php
Comment 4 Rafael Louback Ferraz 2010-07-30 11:09:30 EDT
rpmfusion have this driver pre-compiled (works here for my BCM43224)
Comment 5 Robert Story 2010-08-20 00:19:54 EDT
for the next person who ends up here trying to get this chip to work, the rpmfusion package to install is broadcom-wl.. the 'modprobe wl' and you should be off and running...
Comment 6 Massimo Di Primio 2010-08-20 08:42:08 EDT
Just to add something that I consider interesting.

Following is the content of file /etc/udev/rules.d/70-persistent-net.rules :


SUBSYSTEM=="net", ACTION=="add", DRIVERS=="?*", ATTR{address}=="00:26:b9:eb:6e:3e", ATTR{dev_id}=="0x0", ATTR{type}=="1", KERNEL=="eth*", NAME="eth0"

My BCM43224 is now recognized and works perfectly, although I have a dual boot system and it appears the BCM43224 is not recognized by FC13 after having rebooted from a Windows 7 session; it seems it is recognized perfectly only after a complete power cycle. Perhaps it's a firmware initialization problem?

Note You need to log in before you can comment on or make changes to this bug.